// packageD/energy/bindEquipment/bindEquipment.js
var app =getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    tapin:true
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },
  inptext(e){
    let key = e.detail.value;
    this.setData({
      equipment_no:key
    });
  },
  bindtap(){
    if(!this.data.tapin){
      return;
    }
    this.setData({
      tapin:false
    });
    let urlStr = app.getNetAddresss("plugin.energy-cabin.frontend.dealer-terminal.add-equipment");
    let that = this;
    let json ={
      equipment_no:that.data.equipment_no
    };
    app._getNetWork({
      url: urlStr,
      data:json,
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          that.setData({
            tapin:true
          });
          wx.showToast({
            title: res.msg,
            icon:'none',
            duration:1000,
            success:function(){
              setTimeout(() => {
                wx.navigateBack({
                  delta:1
                });
              }, 1500);
              
            }
          });
        }else{
          console.log('已经点过了');
          that.setData({
            tapin:true
          });
          wx.showToast({
            title: res.msg,
            icon:'none',
            duration:1000,
            success:function(){
              setTimeout(() => {
                wx.navigateBack({
                  delta:1
                });
              }, 1500);
            }
          });
        }
      },
      fail: function (res) {
        console.log(res);
        that.setData({
          tapin:true
        });
      }
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
});